Package csb :: Package bio :: Package fragments :: Class FragmentMatch

[frames] | no frames]

# Class FragmentMatch

source code

    object --+
             |
            FragmentMatch

Known Subclasses:
  - Assignment

Base class, representing a match between a fragment and its target.

Instance Methods

__init__(self, id, qstart, qend, probability, rmsd, tm_score, qlength) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| end
| id
| length
| probability
| qend
| qlength
| qstart
| rmsd
| source_id
| start
| tm_score
Inherited from `object`: `__class__`

Method Details

### __init__(self, id, qstart, qend, probability, rmsd, tm_score, qlength)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### end

Get Method:
  unreachable.end(self)

### id

Get Method:
  unreachable.id(self)

### length

Get Method:
  unreachable.length(self)

### probability

Get Method:
  unreachable.probability(self)

### qend

Get Method:
  unreachable.qend(self)

### qlength

Get Method:
  unreachable.qlength(self)

### qstart

Get Method:
  unreachable.qstart(self)

### rmsd

Get Method:
  unreachable.rmsd(self)

### source_id

Get Method:
  unreachable.source_id(self)

### start

Get Method:
  unreachable.start(self)

### tm_score

Get Method:
  unreachable.tm_score(self)